[package]
name = "noprocess"
version.workspace = true
edition = "2024"
description = "A lightweight Rust library for managing long-running processes with graceful shutdown, restart capabilities, and error handling"
repository = "https://git.kjuulh.io/kjuulh/noprocess"
readme = "../../README.md"
license-file = "../../LICENSE"
publish = true

[dependencies]
rand.workspace = true
thiserror = "2"
tokio.workspace = true
tokio-util.workspace = true
tracing.workspace = true

[dev-dependencies]
anyhow.workspace = true
test-case = "3"
tokio-test = "0.4"
tracing-subscriber = { version = "0.3", features = ["env-filter"] }
tracing-test = { version = "0.2", features = ["no-env-filter"] }
